{
  "name": "de-net-website",
  "private": true,
  "version": "0.0.0",
  "scripts": {
    "dev": "vite",
    "test": "cross-env NODE_ENV=development node server",
    "build-test": "npm run build-test:client && npm run build-test:server",
    "build-test:client": "vite build --mode development --ssrManifest --outDir dist/client",
    "build-test:server": "vite build --mode development --ssr src/entry-server.js --outDir dist/server",
    "serve": "cross-env NODE_ENV=production node server",
    "build": "npm run build:client && npm run build:server",
    "build:client": "vite build --ssrManifest --outDir dist/client",
    "build:server": "vite build --ssr src/entry-server.js --outDir dist/server"
  },
  "dependencies": {
    "animate.css": "^4.1.1",
    "axios": "^0.27.2",
    "element-plus": "^2.2.9",
    "js-cookie": "^3.0.1",
    "mockjs": "^1.1.0",
    "vue": "^3.2.25",
    "vue-router": "^4.0.15"
  },
  "devDependencies": {
    "@vitejs/plugin-vue": "^2.3.3",
    "compression": "^1.7.4",
    "cross-env": "^7.0.3",
    "express": "^4.18.1",
    "less": "^4.1.2",
    "less-loader": "^10.2.0",
    "typescript": "^4.5.4",
    "vite": "^2.9.9",
    "vue-tsc": "^0.34.7"
  }
}
